Publisert - 17.09.2026

Get report

Description

This endpoint returns the specified adverse incident report. It has one optional query parameter.

Endpoint path

[GET] /api/v2/delivery/report/{{reportRef}}

Query parameters

This endpoint has one optional query parameter

  • markAsRead
    If true, the downloaded report is automatically marked as read. If false, the client must explicitly call the markAsRead endpoint to mark the report as read. The default value is false. The recommended pattern is that clients download reports, with this parameter set to false, and then call the markAsRead endpoint when the report processing has successfully finished. If the client crashes during processing, the report will not be marked as read, and the server will then resend the newReport event after about 15 minutes.

Required scopes

To be able to get adverse incident reports from Melde API, the HelseId client must have one of the following scopes:

  • nhn:melde/delivery/restricted-access
    Client can get reports, but any patient information is removed from the report
  • nhn:melde/delivery/full-access
    Client can get reports with all information available

Response

Response payload structure:

{
  "Header": {
    "Reporter": {
      // Reporter info
    },
    "Patient": {
      // Patient info, if any
    },
    "Incident": {
      // Incident info
    },
    "ContactPersons": [
      // List of contact persons, if any
    ],
    "Attachments": [
      // List of attachment references, if any
    ]
  },
  "Report": {
    "SeriousIncident": {
      // Serious incident detailed info
    },
    "DrugSideEffects": {
      // Drug side effects detailed info
    },
    "Biovigilance": {
      // Biovigilance detailed info
    },
    "Cosmetics": {
      // Cosmetics detailed info
    },
    "DietarySupplements": {
      // Dietary supplemenets detailed info
    },
    "MedicalEquipment": {
      // Medical equipment detailed info
    },
    "ECigarette": {
      // E-cigarette detailed info
    },
    "Radiation": {
      // Radiation detailed info
    },
  }
}

See Swagger UI for more information

Søk i Utviklerportalen

Søket er fullført!